Bug 60423 - Drop Monitor Results listener
Summary: Drop Monitor Results listener
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: Main (show other bugs)
Version: 3.1
Hardware: All All
: P2 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-27 16:11 UTC by Philippe Mouawad
Modified: 2017-03-05 13:04 UTC (History)
1 user (show)



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2016-11-27 16:11:54 UTC
Following Bug 60224 in 3.1, it is now time to drop Monitor Results Element definitely and all related classes which will mean dropping :
- generated ApacheJMeter_monitors.jar
- src/monitor folder
- deprecate isMonitor and setMonitor from SampleResult
- remove Use as Monitor property from GUI
- remove labels and icons
Comment 1 Philippe Mouawad 2016-11-27 17:07:38 UTC
Author: pmouawad
Date: Sun Nov 27 17:06:10 2016
New Revision: 1771608

URL: http://svn.apache.org/viewvc?rev=1771608&view=rev
Log:
Bug 60423 - Drop Monitor Results listener Part 1
Bugzilla Id: 60423

Removed:
    jmeter/trunk/res/maven/ApacheJMeter_monitors.pom
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-active.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-blue-legend.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-dead.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-green-legend.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-healthy.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-legend.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-0.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-1.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-10.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-2.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-3.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-4.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-5.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-6.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-7.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-8.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-load-9.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-orange-legend.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-red-legend.gif
    jmeter/trunk/src/core/org/apache/jmeter/images/monitor-warning.gif
Modified:
    jmeter/trunk/bin/saveservice.properties
    jmeter/trunk/bin/upgrade.properties
    jmeter/trunk/build.xml
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_de.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_es.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_ja.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_pt_BR.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_tr.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_zh_CN.properties
    jmeter/trunk/src/core/org/apache/jmeter/resources/messages_zh_TW.properties
    jmeter/trunk/src/core/org/apache/jmeter/samplers/SampleResult.java
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/control/gui/HttpTestSampleGui.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/AjpSampler.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPAbstractImpl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC3Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPHC4Impl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPJavaImpl.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
    jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/SoapSampler.java
    jmeter/trunk/xdocs/changes.xml
    jmeter/trunk/xdocs/usermanual/component_reference.xml


Author: pmouawad
Date: Sun Nov 27 17:07:04 2016
New Revision: 1771609

URL: http://svn.apache.org/viewvc?rev=1771609&view=rev
Log:
Bug 60423 - Drop Monitor Results listener Part 2
Bugzilla Id: 60423

Removed:
    jmeter/trunk/src/monitor/
    jmeter/trunk/test/src/org/apache/jmeter/monitor/
Comment 2 Philippe Mouawad 2016-11-27 17:24:11 UTC
Author: pmouawad
Date: Sun Nov 27 17:21:45 2016
New Revision: 1771612

URL: http://svn.apache.org/viewvc?rev=1771612&view=rev
Log:
Bug 60423 - Drop Monitor Results listener Part 4
Fix eclipse build

Modified:
    jmeter/trunk/eclipse.classpath

Author: pmouawad
Date: Sun Nov 27 17:18:40 2016
New Revision: 1771610

URL: http://svn.apache.org/viewvc?rev=1771610&view=rev
Log:
Bug 60423 - Drop Monitor Results listener Part 3
Remove monitor building parts
Bugzilla Id: 60423

Modified:
    jmeter/trunk/build.xml
Comment 3 Philippe Mouawad 2016-11-27 17:26:35 UTC
Author: pmouawad
Date: Sun Nov 27 17:26:10 2016
New Revision: 1771614

URL: http://svn.apache.org/viewvc?rev=1771614&view=rev
Log:
Bug 60423 - Drop Monitor Results listener Part 5
Fix sha
Bugzilla Id: 60423

Modified:
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
Comment 4 Sebb 2017-03-04 17:10:09 UTC
URL: http://svn.apache.org/viewvc?rev=1785507&view=rev
Log:
Drop Monitor Results listener
Delete unused images, test data and methods
Bugzilla Id: 60423

Removed:
    jmeter/trunk/bin/testfiles/monitorStatus.xml
    jmeter/trunk/docs/images/screenshots/monitor_health.png
    jmeter/trunk/docs/images/screenshots/monitor_screencap.png
    jmeter/trunk/xdocs/images/screenshots/monitor_health.png
    jmeter/trunk/xdocs/images/screenshots/monitor_screencap.png
Modified:
    jmeter/trunk/src/core/org/apache/jmeter/reporters/ResultCollector.java
    jmeter/trunk/src/core/org/apache/jmeter/save/SaveService.java
Comment 5 Felix Schumacher 2017-03-05 13:04:48 UTC
Date: Sun Mar  5 11:40:34 2017
New Revision: 1785545

URL: http://svn.apache.org/viewvc?rev=1785545&view=rev
Log:
Monitor Results Listener has been dropped, so remove its properties, too.

Bugzilla Id: 60423

Modified:
    jmeter/trunk/bin/jmeter.properties
    jmeter/trunk/xdocs/usermanual/properties_reference.xml